Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160998 - DSL won't start at boot
Summary: DSL won't start at boot
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 16:29 UTC by Pedro Lamarão
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 05:39:06 UTC


Attachments (Terms of Use)

Description Pedro Lamarão 2005-06-19 16:29:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pt-BR; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
After upgrading from FC3, I noticed my DSL failed to connect at boot time.
As a consequence, many network aware applications, like the NTP client, failed.

Logging in, I could activate the connection from the system-control-network application.

I tried opening system-config-network, removing the DSL connection, (boot to feel safe), add a new DSL connection and reboot. But there was no change in the system's behaviour.

Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1. Add a new DSL connection, marking it to come up at boot time.
2. Reboot.
3. Don't profit.

Actual Results:  The boot scripts didn't properly activate the DSL connection.

Expected Results:  The boot scripts should have properly activated the DSL connection.

Additional info:

I have an ip-up.local script in /etc/ppp to do some system specific stuff I need. It works properly when I activate the connection through system-control-network.

Comment 1 Harald Hoyer 2005-06-20 07:32:03 UTC
any messages in /var/log/messages about the failure??

Comment 2 Owen Heisler 2005-06-25 01:15:50 UTC
On a clean install of FC4, the system hangs on startup while connecting to a
dialup connection.  If I disconnect the line from the modem, boot up will
continue.  I can connect manually without problems.  If I then shutdown, I get
the following message when shutting down the dialup connection:

Shutting down interface dialup... audit: *NO* daemon at audit_pid=1981

This is the first of about six lines; I can't catch it all while shutting down,
and I don't know where to find it if it is in a log file somewhere.

Owen

Comment 3 Owen Heisler 2005-06-25 18:20:53 UTC
I checked /var/log/messages and /var/log/boot.log for logged errors.

I found only (in /var/log/boot.log):
Jun 23 19:44:29 localhost NET[10592]: /etc/sysconfig/network-scripts/ifdown-post
: updated /etc/resolv.conf

Comment 4 Pedro Lamarão 2005-10-02 23:59:40 UTC
This problems stopped occurring to me byte the time of the 2.6.12 kernel update
in a fully updated system.

Comment 5 Owen Heisler 2005-10-03 00:47:25 UTC
Currently, my problems have become intermittent... I will wait to see whether
they are fixed completely now.  I still get junk during startup and shutdown
when enabling/disabling the dialup connection.

Comment 7 Harald Hoyer 2006-07-19 14:06:43 UTC
does it help, if you disable selinux?

Comment 8 Owen Heisler 2006-07-19 14:52:00 UTC
(In reply to comment #7)
> does it help, if you disable selinux?

Sorry, I'm using Debian Linux now; I got tired of problems with Fedora.  I also
no longer have a dialup connection.  However, a kernel update fixed the problem
in FC4, but the problem returned in FC5.  As of about two months ago, updates
had not fixed the problem in FC5.


Note You need to log in before you can comment on or make changes to this bug.